c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs
gerror_handle.h File Reference
`#include <glib.h>`
`#include <c++-gtk-utils/shared_handle.h>`
`#include <c++-gtk-utils/cgu_config.h>`

Go to the source code of this file.

## Classes
class | Cgu::GerrorFree
| A deleter functor for use as the second (Dealloc) template parameter of the SharedHandle, SharedLockHandle or ScopedHandle template classes, which calls glib's g_error_free(). More...

## Namespaces
| Cgu

## Typedefs
typedef ScopedHandle< GError *, GerrorFree > | Cgu::GerrorScopedHandle
| A handle comprising a typed instance of the ScopedHandle class for managing GError objects. More...
typedef SharedHandle< GError *, GerrorFree > | Cgu::GerrorSharedHandle
| A handle comprising a typed instance of the SharedHandle class for managing GError objects. More...